### Method

# FwupdPlugin BlockPartition get_fs_type

since: 2.0.2

#### Declaration [src]

    const gchar*
    fu_block_partition_get_fs_type (
      FuBlockPartition* self
    )

#### Description [src]

Returns the filesystem type, e.g. `msdos`.

Available since: 2.0.2

#### Return value

Type: `const gchar*`

String, or `NULL` for unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.